import './global.css';
import 'primereact/resources/themes/tailwind-light/theme.css';
import 'primereact/resources/primereact.min.css';
import 'primeicons/primeicons.css';
import { MainMenu } from '../components/main-menu';
import { PrimeReactProvider } from './prime-react-provider';
import { ReactQueryProvider } from './react-query-provider';
import { BlockTitle } from '../components/block-title';

export const metadata = {
  title: 'Welcome to tasks-fe',
  description: 'Generated by create-nx-workspace',
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="en">
      <body>
        <ReactQueryProvider>
          <PrimeReactProvider>
            <div className="flex">
              <aside className="w-1/8 h-screen p-2">
                <BlockTitle className="my-2">
                  Task Manager
                </BlockTitle>
                <MainMenu />
              </aside>
              <main className="w-7/8 w-full overflow-x-hidden overflow-y-auto max-h-screen p-4">
                {children}
              </main>
            </div>
          </PrimeReactProvider>
        </ReactQueryProvider>
      </body>
    </html>
  );
}
